CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_events_v2 AS 
 SELECT sentinel_events.id AS event_id,
    sentinel_events.evt AS event_name,
    sentinel_events.msg AS base_message,
    sentinel_events.dt AS event_datetime,
    sentinel_events.sun AS source_user_name,
    sentinel_events.dun AS destination_user_name,
    sentinel_events.fn AS filename,
    sentinel_events.rv35 AS init_user_domain,
    sentinel_events.rv45 AS target_user_domain,
    sentinel_events.rv36,
    sentinel_events.rv40,
    sentinel_events.rv43 AS correlation_id,
    sentinel_events.rv47,
    sentinel_events.rv123 AS event_group_id,
    sentinel_events.rv33,
    sentinel_events.rv31,
    sentinel_events.ei AS extended_info,
    sentinel_events.sres AS sub_resource,
    sentinel_events.sev AS severity,
    sentinel_events.res AS resource_name,
    sentinel_events.sip AS init_ip,
    sentinel_events.isvcc AS init_service_comp,
    sentinel_events.iuid AS init_user_id,
    sentinel_events.destassetid AS target_asset_id,
    sentinel_events.dhn AS target_host_name,
    sentinel_events.dip AS target_ip,
    sentinel_events.dip AS target_ip_dotted,
    sentinel_events.ttd AS target_trust_domain,
    sentinel_events.ttn AS target_trust_name,
    sentinel_events.tuid AS target_user_id,
    sentinel_events.xdasid AS taxonomy_id,
    sentinel_events.agent,
    sentinel_events.xdastaxname AS xdas_taxonomy_name,
    sentinel_events.xdasoutcomename AS xdas_outcome_name,
    sentinel_events.xdasid AS xdas_taxonomy_id,
    sentinel_events.attr
   FROM sentinel_events;

   ALTER TABLE idm_rpt_cfg.idmrpt_events_v2
  OWNER TO idm_rpt_cfg;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_events_v2 TO idm_rpt_cfg;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_events_v2 TO idmrptuser;